Create a task
Creating a task directly in a Done status sets `completedAt` and schedules auto-archive. A status at its blocking WIP limit answers 409. A task created with `parentId` also sends a `task.created` webhook.
Creating a task directly in a Done status sets completedAt and schedules auto-archive. A status at its blocking WIP limit answers 409. A task created with parentId also sends a task.created webhook.
In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/projects/string/tasks" \ -H "Content-Type: application/json" \ -d '{}'{ "data": { "id": "string", "workspaceId": "string", "projectId": "string", "title": "string", "description": "string", "descriptionContent": [ {} ], "statusId": "string", "parentId": "string", "priority": "NO_PRIORITY", "startDate": "2019-08-24T14:15:22Z", "dueDate": "2019-08-24T14:15:22Z", "completedAt": "2019-08-24T14:15:22Z", "version": 0, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "assignees": [ { "membershipId": "string", "displayName": "string", "image": "string" } ], "assigneeRoles": [ { "roleId": "string", "name": "string" } ], "label": { "id": "string", "name": "string", "color": "string", "icon": "string", "description": "string" } }}
Planeward Docs